Bug 1397620 - Review Request: nodejs-int64-buffer - 64bit Long Integer on Buffer/Array/ArrayBuffer in Pure JavaScript
Summary: Review Request: nodejs-int64-buffer - 64bit Long Integer on Buffer/Array/Arra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1397621
TreeView+ depends on / blocked
 
Reported: 2016-11-23 01:02 UTC by Ben Rosser
Modified: 2017-01-21 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 02:23:28 UTC
Type: ---
puntogil: fedora-review+


Attachments (Terms of Use)

Description Ben Rosser 2016-11-23 01:02:15 UTC
Spec URL: https://tc01.fedorapeople.org/quassel/quassel-webserver/nodejs-int64-buffer.spec
SRPM URL: https://tc01.fedorapeople.org/quassel/quassel-webserver/nodejs-int64-buffer-0.1.9-1.fc24.src.rpm

Description: JavaScript's number based on IEEE-754 could only handle 53 bits precision. This module provides a couple of classes: Int64BE and Uint64BE which could hold 64 bits long integer and loose no bit.

Fedora Account System Username: tc01

Comment 1 gil cattaneo 2016-11-23 13:48:12 UTC
have time for this https://bugzilla.redhat.com/show_bug.cgi?id=1396492 ?
thanks in advance

Comment 2 gil cattaneo 2016-11-23 14:13:38 UTC
Is not possible use e.g. closure-compiler to minify int64-buffer.js ?

Comment 3 gil cattaneo 2016-11-23 14:21:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in /home/gil/1397620
     -nodejs-int64-buffer/licensecheck.txt
  
  All "source" files are without license headers. Please, ask to upstream to confirm the licensing of code and/or content/s,
  and add license headers
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
  
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[?]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[?]: Package complies to the Packaging Guidelines
 See Comment#2
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-int64-buffer-0.1.9-1.fc26.noarch.rpm
          nodejs-int64-buffer-0.1.9-1.fc26.src.rpm
nodejs-int64-buffer.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-int64-buffer.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-int64-buffer (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-int64-buffer:
    nodejs-int64-buffer
    npm(int64-buffer)



Source checksums
----------------
https://registry.npmjs.org/int64-buffer/-/int64-buffer-0.1.9.tgz :
  CHECKSUM(SHA256) this package     : 496be4bda20fb2fbf7b3bb42c86ddec6e9e415fb13bd4beb67460d127bf5bd2f
  CHECKSUM(SHA256) upstream package : 496be4bda20fb2fbf7b3bb42c86ddec6e9e415fb13bd4beb67460d127bf5bd2f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1397620 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Ben Rosser 2016-12-31 22:44:17 UTC
Ticket filed upstream to confirm the licensing: https://github.com/kawanet/int64-buffer/issues/5

> Is not possible use e.g. closure-compiler to minify int64-buffer.js ?

It might be; is this something I should look into? While this is part of the Javascript guidelines (https://fedoraproject.org/wiki/Packaging:JavaScript), the Nodejs guidelines (https://fedoraproject.org/wiki/Packaging:Node.js) don't seem to mention it, and a few other nodejs packages I looked at don't seem to do this either.

Comment 5 Ben Rosser 2017-01-01 18:43:54 UTC
Great, thanks for the review!

Comment 6 Kevin Fenzi 2017-01-02 20:49:12 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-int64-buffer

Comment 7 Fedora Update System 2017-01-04 04:17:02 UTC
nodejs-int64-buffer-0.1.9-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8a3dfe5d3b

Comment 8 Fedora Update System 2017-01-04 04:17:48 UTC
nodejs-int64-buffer-0.1.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a4ef17a6bb

Comment 9 Fedora Update System 2017-01-04 04:21:08 UTC
nodejs-int64-buffer-0.1.9-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1e08ef2c48

Comment 10 Fedora Update System 2017-01-04 22:21:58 UTC
nodejs-int64-buffer-0.1.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a4ef17a6bb

Comment 11 Fedora Update System 2017-01-04 23:29:01 UTC
nodejs-int64-buffer-0.1.9-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8a3dfe5d3b

Comment 12 Fedora Update System 2017-01-05 02:48:51 UTC
nodejs-int64-buffer-0.1.9-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1e08ef2c48

Comment 13 Fedora Update System 2017-01-13 02:23:28 UTC
nodejs-int64-buffer-0.1.9-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-13 07:20:47 UTC
nodejs-int64-buffer-0.1.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-21 23:21:13 UTC
nodejs-int64-buffer-0.1.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.